> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk add community members



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json post /community/{id}/member/bulk
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}/member/bulk:
    post:
      tags:
        - Communities
      summary: Bulk add community members
      operationId: CommunityMemberController_addBulkMembers
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkImportCommunityMemberDto'
      responses:
        '410':
          description: This endpoint is deprecated
      deprecated: true
      security:
        - apiKey: []
components:
  schemas:
    BulkImportCommunityMemberDto:
      type: object
      properties:
        wallets:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
      required:
        - wallets
        - tags
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````